WebSphereMQJMSQueue (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereMQJMSQueue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereMQJMSQueue

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource, WebSphereJ2EEResource, WebSphereJMSDestination, WebSphereMQJMSDestination

    public interface WebSphereMQJMSQueue

extends WebSphereMQJMSDestination

Represents a WebSphere JMS Topic (Publish/Subscribe messaging).

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBaseQueueManagerName()`
`java.lang.String` | `getBaseQueueName()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getQueueManagerHost()`
`int` | `getQueueManagerPort()`
`java.lang.String` | `getServerConnectionChannelName()`
`java.lang.String` | `getUserName()`
`boolean` | `hasBaseQueueManagerName()`
`boolean` | `hasBaseQueueName()`
`boolean` | `hasPassword()`
`boolean` | `hasQueueManagerHost()`
`boolean` | `hasQueueManagerPort()`
`boolean` | `hasServerConnectionChannelName()`
`boolean` | `hasUserName()`
`void` | `setBaseQueueManagerName(java.lang.String baseQueueManagerName)`
`void` | `setBaseQueueName(java.lang.String baseQueueName)`
`void` | `setPassword(java.lang.String password)`
`void` | `setQueueManagerHost(java.lang.String queueManagerHost)`
`void` | `setQueueManagerPort(int queueManagerPort)`
`void` | `setServerConnectionChannelName(java.lang.String serverConnectionChannelName)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereMQJMSDestination
`getCCSID, getDecimalEncoding, getFloatingPointEncoding, getIntegerEncoding, getNativeEncoding, getTargetClient, hasCCSID, hasDecimalEncoding, hasFloatingPointEncoding, hasIntegerEncoding, hasNativeEncoding, hasTargetClient, setCCSID, setDecimalEncoding, setFloatingPointEncoding, setIntegerEncoding, setNativeEncoding, setTargetClient`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJMSDestination
`getCategory, getExpiry, getJNDIName, getMessagePriority, getPersistence, getProvider, getResourceProperties, getSpecifiedExpiry, getSpecifiedPriority, hasCategory, hasExpiry, hasJNDIName, hasMessagePriority, hasPersistence, hasProvider, hasResourceProperties, hasSpecifiedExpiry, hasSpecifiedPriority, setCategory, setExpiry, setJNDIName, setMessagePriority, setPersistence, setProvider, setResourceProperties, setSpecifiedExpiry, setSpecifiedPriority`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`getNode, hasNode, setNode`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getBaseQueueName

    java.lang.String getBaseQueueName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBaseQueueName

    void setBaseQueueName(java.lang.String baseQueueName)

### hasBaseQueueName

    boolean hasBaseQueueName()

### getBaseQueueManagerName

    java.lang.String getBaseQueueManagerName()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBaseQueueManagerName

    void setBaseQueueManagerName(java.lang.String baseQueueManagerName)

### hasBaseQueueManagerName

    boolean hasBaseQueueManagerName()

### getQueueManagerHost

    java.lang.String getQueueManagerHost()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setQueueManagerHost

    void setQueueManagerHost(java.lang.String queueManagerHost)

### hasQueueManagerHost

    boolean hasQueueManagerHost()

### getQueueManagerPort

    int getQueueManagerPort()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setQueueManagerPort

    void setQueueManagerPort(int queueManagerPort)

### hasQueueManagerPort

    boolean hasQueueManagerPort()

### getServerConnectionChannelName

    java.lang.String getServerConnectionChannelName()
                                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerConnectionChannelName

    void setServerConnectionChannelName(java.lang.String serverConnectionChannelName)

### hasServerConnectionChannelName

    boolean hasServerConnectionChannelName()

### getUserName

    java.lang.String getUserName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUserName

    void setUserName(java.lang.String userName)

### hasUserName

    boolean hasUserName()

### getPassword

    java.lang.String getPassword()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPassword

    void setPassword(java.lang.String password)

### hasPassword

    boolean hasPassword()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD